Subject: Re: [PATCH] be2net: Adding support for 802.1ad (q-in-q mode)

From: Patrick McHardy <[email-masked]>
Date: Thu, 23 Jul 2009 18:33:05 +0200

David Miller wrote:
>> Sarveshwar Bandi wrote:
>>> The outer vlan is totally transparent to the host. It is used by the NIC 
>>> to demux packets across multiple pci network functions. Currently the 
>>> outer vlan tags are configured on the NIC by OEM provided utilities.
>> I see. A proper changelog entry would have explained that and avoided
>> all this confusion. Not that I think using another tool for this is a
>> good solution, but no objections from a functional POV.
> 
> Using OEM tools makes no sense, there should be something like an
> ethtool interface for changing this setting and appropriate changes
> to the common userland tools to provide access to them.
> 
> I'm not putting this change in until there is common infrastructure
> submitted to common tools to control this configuration.

Thanks, thats my opinion as well. But I think we should handle
Q-in-Q using the VLAN netlink API and iproute instead of ethtool
for consistency.